{pkgs, ...}: 
{
  programs.vscode = {
    enable = true;

    # profiles = {
    #   default = {
    extensions = with pkgs.vscode-extensions; [
      # QOL
      mhutchie.git-graph
      redhat.vscode-yaml
      github.copilot

      # python
      ms-python.python
      ms-python.isort
      ms-python.debugpy
      ms-python.vscode-pylance

      # Nix language
      jnoortheen.nix-ide
    ];
      # };

    keybindings = [
      {
        key = "ctrl+#";
        command = "editor.action.commentLine";
        when = "textInputFocus";
      }
    ];

    userSettings = {
      "telemetry.enableCrashReporter" = false;
      "telemetry.enableTelemetry" = false;
      "git.ignoreMissingGitWarning" = true;
      "editor.suggestSelection" = "first";
      "workbench.editorAssociations" = {
          "*.ipynb" = "jupyter-notebook";
      };
      "workbench.startupEditor" = "newUntitledFile";
      "editor.renderWhitespace" = "none";
      "editor.acceptSuggestionOnEnter" = "off";
      "explorer.confirmDelete" = false;
      "git.confirmSync" = false;
      "workbench.iconTheme" = "vs-seti";
      "editor.fontLigatures" = true;
      "explorer.confirmDragAndDrop" = false;
      "editor.wordWrap" = "on";
      "settingsSync.ignoredSettings" = [
          "editor.fontFamily"
          "terminal.integrated.fontFamily"
          "-python.venvFolders"
      ];
      "jupyter.askForKernelRestart" = false;
      "security.workspace.trust.untrustedFiles" = "open";
      "notebook.cellToolbarLocation" = {
          "default" = "right";
          "jupyter-notebook" = "left";
      };
      "git.enableSmartCommit" = true;
      "terminal.integrated.fontFamily" = "Fira Code";
      "settingsSync.ignoredExtensions" = [
          "ms-vscode-remote.remote-wsl"
          "ms-vscode-remote.remote-ssh-edit"
          "ms-vscode-remote.remote-ssh"
      ];
      "editor.bracketPairColorization.enabled" = true;
      "jupyter.widgetScriptSources" = [
          "jsdelivr.com"
          "unpkg.com"
      ];
      "diffEditor.renderSideBySide" = false;
      "editor.inlineSuggest.enabled" = true;
      "github.copilot.enable" = {
          "*" = true;
          "plaintext" = true;
          "markdown" = true;
          "scminput" = false;
          "yaml" = true;
      };
      "redhat.telemetry.enabled" = false;
      "git.autofetch" = true;
      "terminal.integrated.enableMultiLinePasteWarning" = false;
      "editor.unicodeHighlight.nonBasicASCII" = false;
      "jupyter.disableJupyterAutoStart" = true;
      "editor.unicodeHighlight.invisibleCharacters" = false;
      "editor.unicodeHighlight.ambiguousCharacters" = false;
      "diffEditor.ignoreTrimWhitespace" = false;
      "update.showReleaseNotes" = false;
      "terminal.external.linuxExec" = "kitty";
      "window.dialogStyle" = "custom";
      "window.titleBarStyle" = "custom";
      "github.copilot.editor.enableAutoCompletions" = true;
      "window.menuBarVisibility" = "compact";
      "workbench.colorTheme" = "Default Light+";
      "github.copilot.advanced" = {};
      "git.openRepositoryInParentFolders" = "never";
      "terminal.integrated.commandsToSkipShell" = [
          "language-julia.interrupt"
      ];
      "diffEditor.hideUnchangedRegions.enabled" = true;
      "[typst]" = {
          "editor.wordSeparators" = "`~!@#$%^&*()=+[{]}\\|;:'\",.<>/?";
      };
      "[typst-code]" = {
          "editor.wordSeparators" = "`~!@#$%^&*()=+[{]}\\|;:'\",.<>/?";
      };
      "tinymist.fontPaths" = [
          "./font"
      ];
      "editor.fontFamily" = "'FiraCode Nerd Font Mono', 'monospace', monospace";
    };
  };

}
